import { OnDestroy, OnInit } from '@angular/core';
import { ActivatedRoute } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { AppRootComponent } from '../app-root-component.class';
import { Account } from '../models/account/account.interface';
import { BreadCrumbData } from '../models/breadcrumb/breadcrumb.interface';
import { AccountService } from './account.service';
export declare class AccountComponent extends AppRootComponent implements OnInit, OnDestroy {
    private translateService;
    private accountService;
    route: ActivatedRoute;
    displayAppTab: boolean;
    displayEditionAndAdminContact: boolean;
    account: Account;
    dataBreadcrumb: BreadCrumbData[];
    private sub;
    constructor(translateService: TranslateService, accountService: AccountService, route: ActivatedRoute);
    ngOnInit(): void;
    ngOnDestroy(): void;
}
